# Widget Schedule

#### **Example**

```json
{
        "communityId": 15,
        "customTimes": {
            "monday": [
                {
                    "startAt": "00:01:00",
                    "endAt": "18:00:00"
                }
            ],
            "tuesday": [
                {
                    "startAt": "00:01:00",
                    "endAt": "18:00:00"
                }
            ],
            "wednesday": [
                {
                    "startAt": "00:01:00",
                    "endAt": "18:00:00"
                }
            ],
            "thursday": [
                {
                    "startAt": "00:01:00",
                    "endAt": "18:00:00"
                }
            ],
            "friday": [
                {
                    "startAt": "00:01:00",
                    "endAt": "18:00:00"
                }
            ],
            "saturday": [
                {
                    "startAt": "18:30:00",
                    "endAt": "19:00:00"
                }
            ],
            "sunday": [
                {
                    "startAt": "18:30:00",
                    "endAt": "19:00:00"
                }
            ]
        },
        "timePeriod": 3,
        "widgetId": 706
}
```

#### Fields

| Field       | Type                                                                                                       | Comments                                                                                                                               |
| ----------- | ---------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| communityId | integer                                                                                                    | Unique Id of community which widget belongs                                                                                            |
| customTimes | [Custom times widget schedule](/docs/apis/tickets/reference/objects/custom-times-widget-schedule.md) model | Represent custom schedule of different days of week. If time period has state with value "3" custom times will present; otherwise null |
| timePeriod  | integer                                                                                                    | <p>Time period defined which type of schedule used for widget:<br>1: everyday<br>2: only weekdays<br>3: custom schedule</p>            |
| times       | array of [Schedule Time](/docs/apis/tickets/reference/objects/schedule-time.md) models                     | Represent schedule. If time period has state with value "1" or "3" times field will present; otherwise null                            |
| widgetId    | integer                                                                                                    | Unique Id of widget                                                                                                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/objects/widget-schedule.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
